<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>Circle</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Circle";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.david.geo.shapes</a></div>
<h2 title="Class Circle" class="title">Class Circle</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../primitive/Primitive.html" title="class in org.david.geo.primitive">org.david.geo.primitive.Primitive</a></li>
<li>
<ul class="inheritance">
<li><a href="Shape.html" title="class in org.david.geo.shapes">org.david.geo.shapes.Shape</a></li>
<li>
<ul class="inheritance">
<li><a href="Ellipse.html" title="class in org.david.geo.shapes">org.david.geo.shapes.Ellipse</a></li>
<li>
<ul class="inheritance">
<li>org.david.geo.shapes.Circle</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../primitive/PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Circle</span>
extends <a href="Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></pre>
<div class="block">This class define all attributes to define a <code>Circle</code>
 and extends from <code>Ellipse</code>.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Circle</a></span>()</code></th>
<td class="colLast">
<div class="block">default constructor.</div>
</td>
</tr>
<tr class="rowColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(org.david.geo.style.Style,org.david.geo.shapes.Point,int)">Circle</a></span>&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s,
      <a href="Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;op,
      int&nbsp;radius)</code></th>
<td class="colLast">
<div class="block">create a circle with all arguments.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getPerimeter()">getPerimeter</a></span>()</code></th>
<td class="colLast">
<div class="block">get the perimeter of the circle.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getRadius()">getRadius</a></span>()</code></th>
<td class="colLast">
<div class="block">get the radius of the circle.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSurface()">getSurface</a></span>()</code></th>
<td class="colLast">
<div class="block">compute the surface of the circle.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setRadius(int)">setRadius</a></span>&#8203;(int&nbsp;r)</code></th>
<td class="colLast">
<div class="block">set the axis of the circle, so the radius.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.david.geo.shapes.Ellipse">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.david.geo.shapes.<a href="Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></h3>
<code><a href="Ellipse.html#draw(java.awt.Graphics)">draw</a>, <a href="Ellipse.html#getBigAxis()">getBigAxis</a>, <a href="Ellipse.html#getSmallAxis()">getSmallAxis</a>, <a href="Ellipse.html#setBigAxis(int)">setBigAxis</a>, <a href="Ellipse.html#setBoundingBox(int,int)">setBoundingBox</a>, <a href="Ellipse.html#setRealCoordinates()">setRealCoordinates</a>, <a href="Ellipse.html#setSmallAxis(int)">setSmallAxis</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.david.geo.shapes.Shape">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.david.geo.shapes.<a href="Shape.html" title="class in org.david.geo.shapes">Shape</a></h3>
<code><a href="Shape.html#fillAndDraw(java.awt.Graphics2D,java.awt.Shape)">fillAndDraw</a>, <a href="Shape.html#getOrigin()">getOrigin</a>, <a href="Shape.html#setOrigin(org.david.geo.shapes.Point)">setOrigin</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.org.david.geo.primitive.Primitive">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.david.geo.primitive.<a href="../primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></h3>
<code><a href="../primitive/Primitive.html#getStyle()">getStyle</a>, <a href="../primitive/Primitive.html#getTransform()">getTransform</a>, <a href="../primitive/Primitive.html#setStyle(org.david.geo.style.Style)">setStyle</a>, <a href="../primitive/Primitive.html#setTransform(org.david.geo.transform.Transform)">setTransform</a>, <a href="../primitive/Primitive.html#transform(java.awt.Graphics2D)">transform</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(org.david.geo.style.Style,org.david.geo.shapes.Point,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Circle</h4>
<pre>public&nbsp;Circle&#8203;(<a href="../style/Style.html" title="class in org.david.geo.style">Style</a>&nbsp;s,
              <a href="Point.html" title="class in org.david.geo.shapes">Point</a>&nbsp;op,
              int&nbsp;radius)</pre>
<div class="block">create a circle with all arguments.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>s</code> - style</dd>
<dd><code>op</code> - origin point</dd>
<dd><code>radius</code> - radius of the circle</dd>
</dl>
</li>
</ul>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Circle</h4>
<pre>public&nbsp;Circle()</pre>
<div class="block">default constructor.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="setRadius(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRadius</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;setRadius&#8203;(int&nbsp;r)</pre>
<div class="block">set the axis of the circle, so the radius.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>r</code> - axis means the radius</dd>
</dl>
</li>
</ul>
<a id="getSurface()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSurface</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getSurface()</pre>
<div class="block">compute the surface of the circle.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Ellipse.html#getSurface()">getSurface</a></code>&nbsp;in class&nbsp;<code><a href="Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>computed surface</dd>
</dl>
</li>
</ul>
<a id="getPerimeter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPerimeter</h4>
<pre class="methodSignature">public&nbsp;double&nbsp;getPerimeter()</pre>
<div class="block">get the perimeter of the circle.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Ellipse.html#getPerimeter()">getPerimeter</a></code>&nbsp;in class&nbsp;<code><a href="Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>computed perimeter</dd>
</dl>
</li>
</ul>
<a id="getRadius()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRadius</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getRadius()</pre>
<div class="block">get the radius of the circle.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>radius</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
